VIEWIMG_CREATE_RGB_SEQUENCE2(3)

FUNCTION
viewimg_create_rgb_sequence2 - Create sequence of TrueColour viewable images from 3D slice.

SYNOPSIS
#include <karma_viewimg.h>

ViewableImage * viewimg_create_rgb_sequence2

(KWorldCanvas canvas, multi_array *multi_desc, array_desc *arr_desc, array_pointer *arrayp, char *cube, unsigned int hdim, unsigned int vdim, unsigned int fdim, unsigned int red_index, unsigned int green_index, unsigned int blue_index, unsigned num_restr, CONST char **restr_names, CONST double *restr_values)

DESCRIPTION
This routine will create a sequence of TrueColour viewable image objects from a 3-dimensional cube of a Karma data structure. At a later time, this sequence of viewable images may be made visible in any order. This routine will not cause the canvas to be refreshed.

canvas
    The world canvas onto which the viewable image may be drawn. Many viewable images may be associated with a single canvas.

multi_desc
    The multi_array descriptor which contains the Karma data structure must. The routine increments the attachment count on the descriptor on successful completion. This may be NULL.

arr_desc
    The array descriptor.

arrayp
    The array_pointer. This may be NULL.

cube
    The start of the cube data.

hdim
    The dimension index of the horizontal dimension.

vdim
    The dimension index of the vertical dimension.

fdim
    The dimension index of the frame dimension (dimension containing the sequence). The number of frames is the same as the length of this dimension

red_index
    The element index of the red component in the data packets.

green_index
    The element index of the green component in the data packets.

blue_index
    The element index of the blue component in the data packets.

num_restr
    The number of matched restrictions. If this is 0, no restrictions are recorded.

restr_names
    The restriction names.

restr_values
    The restriction values.

RETURN VALUE
A viewable image on success, else NULL.

Multi-threading Level
Unsafe.

NOTES
The 3 colour components must be of type K_UBYTE.

Restriction information is copied into internally allocated storage.

The routine may produce cache data which will vastly increase the speed of subsequent operations on this data. Prior to process exit, a call MUST be made to <-viewimg_destroy->, otherwise shared memory segments could remain after the process exits.

The ViewableImage objects will be automatically destroyed if the canvas is destroyed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/